###########################################################################
#
# win32 makefile -- src/phind/generate
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 2001  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..\..\..\..
DEBUG = 0
GSDL_VC4 = 0
STLPATH = "$(GSDLHOME)\common-src\packages\windows\stlport\stlport"

AR = lib
CC = cl

!IF $(DEBUG)
CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
LDFLAGS = -DEBUG -Z7 /errorReport:prompt
!ELSE
CXXFLAGS =
LDFLAGS =
!ENDIF

!IF $(GSDL_VC4)
CXXFLAGS = $(CXXFLAGS) -GX
!ELSE
CXXFLAGS = $(CXXFLAGS) -EHsc
!ENDIF

DEFS = -D__WIN32__
INCLUDES =
!IF $(GSDL_VC4)
DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS -D_CRT_SECURE_NO_DEPRECATE
INCLUDES = $(INCLUDES) -I$(STLPATH)
!ENDIF
LIBS=

COMPILE = $(CC) -nologo -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) -nologo $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 

HEADERS = suffix.h phrase.h
SOURCES = suffix.cpp phrase.cpp
OBJECTS = suffix.obj phrase.obj
EXEC    = suffix.exe

all: $(EXEC)

install:
	copy $(EXEC) "$(GSDLHOME)\bin\windows"

clean:
	del *.obj
	del $(EXEC)

suffix.exe: $(OBJECTS)
	    $(LINK) $(OBJECTS) $(LIBS) 
